function [models,reflectors] = more_interf(models,h_ax,h_ax_3d,ref_num,r,inc)

reflectors= [];
reflectors = [reflectors, r];%add info

for k=2:ref_num
      
	[int_num cut_num] = size(models);
	cuts_in = zeros(cut_num);

	for i=1:cut_num
		cuts_in(i) = models{1,i}.reflector(1,2);
		axes(h_ax);
		cla;
		for j=1:int_num
			plot(models{j,i}.reflector(:,1),models{j,i}.reflector(:,3),'r:');
		end;
		models{k,i}=coleta_nspl(inc,h_ax,cuts_in(i),i);
		cla;
	end;

	[Mx,yy,zz]=coleta(models,k,h_ax_3d,inc);
   axes(h_ax_3d);
   
   r.xx = Mx(1,:);
	r.yy = yy;
	r.zz = zz;
	reflectors = [reflectors, r];%add info

	mesh(Mx(1,:),yy,zz);
	rotate3d;
end

